Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SecurityConfigurationMBean

public interface SecurityConfigurationMBean
extends ConfigurationMBean

Provides domain-wide security configuration information.

Author:
  Copyright (c) 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`RealmMBean` | `findDefaultRealm()` Finds the default security realm.
`RealmMBean` | `findRealm(java.lang.String realmName)` Finds the default realm by name (that is, by the display name of the realm).
`RealmMBean[]` | `findRealms()` Finds all configured realms.
`java.lang.String` | `getWebAppFilesCaseInsensitive()` Specifies whether file lookups for Java Server Pages (JSPs) are case sensitive on all platforms except win32; file lookups from standard win32 file systems are always case-insensitive.
`void` | `setCredential(java.lang.String credential)`
`void` | `setCredentialGenerated(boolean disable)`
`void` | `setWebAppFilesCaseInsensitive(java.lang.String caseInsensitive)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### findRealms

    public RealmMBean[] findRealms()

  Finds all configured realms.

### findDefaultRealm

    public RealmMBean findDefaultRealm()

  Finds the default security realm. Returns null if a security realm is not defined. Throws a configuration error if there are multiple matches.

### findRealm

    public RealmMBean findRealm(java.lang.String realmName)

  Finds the default realm by name (that is, by the display name of the realm). Returns null if a security realm is not define. Throws a configuration error if there are multiple matches.

### setCredentialGenerated

    public void setCredentialGenerated(boolean disable)

### setCredential

    public void setCredential(java.lang.String credential)
                       throws javax.management.InvalidAttributeValueException

### getWebAppFilesCaseInsensitive

    public java.lang.String getWebAppFilesCaseInsensitive()

  Specifies whether file lookups for Java Server Pages (JSPs) are case sensitive on all platforms except win32; file lookups from standard win32 file systems are always case-insensitive. On case-insensitive file systems other than win32 (such as NT Samba mounts from UNIX or Mac OS that have been installed in case-insensitive mode), specify case insensitive lookups by setting this attribute to `false` to prevent the JSP from returning its source code. For example, if a JSP is being served from a Samba mount and you have specified case-insensitive lookups, WebLogic Server converts all file name extensions to lower case before looking up the JSP. For example, `foo.jsp`.

  Default Value: "os"
  Legal Values: "os", "true", "false"

### setWebAppFilesCaseInsensitive

    public void setWebAppFilesCaseInsensitive(java.lang.String caseInsensitive)
                                       throws javax.management.InvalidAttributeValueException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference